echo off
cls
echo.
echo.                                 ParaDraft 
echo.                    Parametric Drafting System for AutoCAD
echo.
echo.
echo.
echo.                       ParaDraft  Installation Program
echo.                                    for
echo.                      ParaDraft Shareware version 1.01S
echo.
echo.
echo.
echo.
echo.            ParaDraft is published by ParaWare Systems, B-23, Alokpuri, 
echo.                    Ravindrapalli, Lucknow - 226016, India
echo.                           Phone: 0091-522-76741
echo.
echo.   
echo.        
echo                 ParaWare Systems thanks you for trying ParaDraft.
echo.
echo.            Copyright (c) 1991, ParaWare Systems All Rights Reserved.
echo.   
echo.
pause
cls
set REL=%1
set DRV=%2
if "%2" == "" set DRV=A
if "%1" == "" set REL=REL10
if "%1" == "rel10" set REL=REL10
if "%1" == "old" set REL=OLD
if "%1" == "OLD" set REL=OLD
echo.                                   INSTALL
echo                    ParaDraft Version 1.01S Installation Program
echo.
echo.
echo.
echo.
if %REL% == REL10  echo  INSTALL assumes that you have AutoCAD Release 10 or later.
if not %REL% == REL10 echo  INSTALL assumes that you have an older version of AutoCAD than Release 10
echo.
echo  In case this is not correct, press the Ctrl-C or Ctrl-Break key
echo  and restart INSTALL with the correct first parameter :
echo.
echo.           USE
echo.               REL10  - AutoCAD Release 10 or later
echo.               or
echo.               OLD    - An older version of AutoCAD than Release 10
echo.
echo.
pause
if exist PGPG0991.ZIP goto havezip
cls
echo.                                   INSTALL
echo                    ParaDraft Version 1.01S Installation Program
echo.
echo  INSTALL assumes that the ParaDraft files is to be read from the drive
echo  %DRV% and is to be installed in the current directory. 
echo. 
echo.
echo  In case this is not correct, press the Ctrl-C or Ctrl-Break key
echo  and restart INSTALL as following:
echo.
echo.
echo.               %DRV%:INSTALL REL10 %DRV%  
echo.               or
echo.               %DRV%:INSTALL OLD %DRV% 
echo.
echo.    If your drive does not match, change %DRV% to the drive letter.
echo.    Select the parameter, depending on the version of AutoCAD that
echo.    you have on the PC. Give REL10 if you have AutoCAD Release 10
echo.    or a later version. Otherwise enter OLD as the parameter.
echo.  
pause
cls
echo.                                    INSTALL
echo                    ParaDraft Version 1.01S Installation Program
echo. 
echo.    PKUNZIP
echo. 
echo. 
echo.    ParaDraft requires PKUNZIP program to uncompress files from the
echo.    ZIP file on your diskette.
echo. 
echo.    PKUNZIP is part of the shareware PKZIP file compression package,
echo.    distributed by PKWare, 7545 North Port Washington Road, Suite 205,
echo.    Glendale, WI 53217.  
echo. 
echo.    Shareware copies of the full PKZIP package are available on many 
echo.    bulletin boards and on-line services, and with shareware vendors.
echo. 
echo.    PKUNZIP is a trademark of PKWare Inc.
pause
cls
echo.                                   INSTALL
echo                    ParaDraft Version 1.01S Installation Program
echo. 
echo.    PKUNZIP
echo. 
echo. 
echo.    ParaDraft requires PKUNZIP program to uncompress files from the
echo.    ZIP file on your diskette.
echo. 
echo.    This program therefore assumes that you have PKUNZIP installed on 
echo.    this PC such that PKUNZIP can be run from ANY directory. 
echo.    
echo.                           PKUNZIP
echo.      ____________________________________________________________
echo.     !     The program must be located in the current directory   !
echo.     !                or                                          !
echo.     !     The program can be located elsewhere through           !
echo.     !     the PATH= setting                                      !
echo.     !____________________________________________________________!
echo.
echo     In case this is not correct, press the Ctrl-C or Ctrl-Break key
echo     and restart INSTALL after copying PKUNZIP.EXE into the current
echo.    directory.
echo.
pause
cls
if not exist PGPG0991.ZIP goto getzip
rem * * *  * * *  * * * * * * * * * * * * * * * * * *
echo Found PGPG0991.ZIP in current directory. 
echo Proceeding to install ParaDraft in current directory
CD
pause
goto havezip
:getzip
echo.                                    INSTALL
echo                    ParaDraft Version 1.01S Installation Program
echo. 
echo.    INSTALL will now copy all files from the %DRV%: drive. Please
echo.    insert the ParaDraft diskette # 1 in drive %DRV%:
echo.    You should have 1.5 MB free space in the current drive.
pause
cls
if not exist %DRV%:PGPG0991.ZIP goto badinst
rem * * *  * * *  * * * * * * * * * * * * * * * * * *
rem A directory is to be created 
echo Creating ParaDraft directory 
MD PGDRAFT
CD PGDRAFT
CD
echo. Copying files from drive %DRV%:
COPY %DRV%:PGPG0991.ZIP
COPY %DRV%:INSTALL.BAT
COPY %DRV%:README.1ST
:havezip
echo Found PGPG0991.ZIP. Proceeding to UNZIP...
rem * * *  * * *  * * * * * * * * * * * * * * * * * *
pkunzip -n PGPG0991.zip *.*
if not exist PGPG.EXE goto badinst
if not exist INST.EXE goto badinst
if not exist PGSETUP.BAT goto badinst
md help
md blocks
copy *.dwg help
cls
PGSETUP
:badinst 
cd ..
cls
echo Sorry , either PKUNZIP has not been installed on your PC
echo.            or you have bad or incomplete ZIP files 
echo.
echo Please obtain PKUNZIP from a shareware vendor or a public network
echo You could try the same source from where you obtained ParaDraft .
echo.
echo. Make sure that you have the correct PGPG0991.ZIP and PGRUN991.ZIP 
echo. files on the diskette
:ende
